> ## Documentation Index
> Fetch the complete documentation index at: https://docs.nuon.co/llms.txt
> Use this file to discover all available pages before exploring further.

# get latest app runner config

> Returns the most recent runner config for the provided app.




## OpenAPI

````yaml get /v1/apps/{app_id}/runner-latest-config
openapi: 3.0.3
info:
  contact:
    email: support@nuon.co
    name: Nuon Support
  description: API for managing nuon apps, components, installs, and actions.
  title: Nuon
  version: 0.19.1037
servers:
  - url: https://api.nuon.co/
security: []
tags:
  - description: policy-reports
    name: policy-reports
  - description: general
    name: general
  - description: actions
    name: actions
  - description: runbooks
    name: runbooks
  - description: apps
    name: apps
  - description: components
    name: components
  - description: onboarding
    name: onboarding
  - description: slack
    name: slack
  - description: installs
    name: installs
  - description: orgs
    name: orgs
  - description: notebooks
    name: notebooks
  - description: runners/runner
    name: runners/runner
  - description: queues
    name: queues
  - description: actions/runner
    name: actions/runner
  - description: auth
    name: auth
  - description: runners
    name: runners
  - description: vcs
    name: vcs
  - description: accounts
    name: accounts
paths:
  /v1/apps/{app_id}/runner-latest-config:
    get:
      tags:
        - apps
      summary: get latest app runner config
      description: |
        Returns the most recent runner config for the provided app.
      operationId: GetAppRunnerLatestConfig
      parameters:
        - description: app ID
          in: path
          name: app_id
          required: true
          schema:
            type: string
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/app.AppRunnerConfig'
          description: OK
        '400':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Not Found
        '500':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/stderr.ErrResponse'
          description: Internal Server Error
      security:
        - APIKey: []
        - OrgID: []
components:
  schemas:
    app.AppRunnerConfig:
      properties:
        app_config_id:
          type: string
        app_id:
          type: string
        app_runner_type:
          $ref: '#/components/schemas/app.AppRunnerType'
        cloud_platform:
          $ref: '#/components/schemas/app.CloudPlatform'
        created_at:
          type: string
        created_by_id:
          type: string
        env_vars:
          additionalProperties:
            type: string
          type: object
        helm_driver:
          type: string
        id:
          type: string
        init_script:
          description: >-
            takes a URL to a bash script ⤵  which will be `curl | bash`-ed on
            the VM. usually via user-data or equivalent.
          type: string
        instance_type:
          description: >-
            InstanceType is the cloud machine/instance type for the install
            runner host, mapped per cloud platform.
          type: string
        org_id:
          type: string
        public_api_url:
          description: >-
            PublicAPIURL overrides the Nuon public API endpoint used for
            phone-home callbacks.
          type: string
        runner_api_url:
          description: >-
            RunnerAPIURL overrides the Nuon runner API endpoint for installs
            using this config.
          type: string
        updated_at:
          type: string
      type: object
    stderr.ErrResponse:
      properties:
        description:
          type: string
        error:
          type: string
        user_error:
          type: boolean
      type: object
    app.AppRunnerType:
      enum:
        - unknown
        - aws-ecs
        - aws-eks
        - azure-aks
        - azure-acs
        - gcp-gke
        - local
        - aws
        - azure
        - gcp
      type: string
    app.CloudPlatform:
      enum:
        - aws
        - azure
        - gcp
        - unknown
      type: string
  securitySchemes:
    APIKey:
      description: Type "Bearer" followed by a space and token.
      in: header
      name: Authorization
      type: apiKey
    OrgID:
      description: Nuon org ID
      in: header
      name: X-Nuon-Org-ID
      type: apiKey

````